if (typeof window != "undefined") {
  let n = function(e) {
    return function(...i) {
      try {
        return e.apply(this, i);
      } catch (t) {
        if (t instanceof DOMException && t.message.includes("has already been used with this registry") || t.message.includes("Cannot define multiple custom elements with the same tag name"))
          return !1;
        throw t;
      }
    };
  };
  customElements.define = n(customElements.define), import("../components/PrizeEngineDetails-D8O-TJ37.js").then((e) => e.Y).then(({ default: e }) => {
    !customElements.get("prize-engine-details") && customElements.define("prize-engine-details", e.element);
  });
}
